SIBA(4)

NAME
siba - Sonic Inc. Silicon Backplane driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device siba

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    siba_load="YES"

DESCRIPTION
The siba driver supports the Sonic Inc. Silicon Backplane, the interblock communications architecture that can be found in most Broadcom wireless NICs.

A bus connects all of the Silicon Backplane's functional blocks. These functional blocks, known as cores, use the Open Core Protocol (OCP) interface to communicate with agents attached to the Silicon Backplane.

Each NIC uses a chip from the same chip family. Each member of the family contains a different set of cores, but shares basic architectural features such as address space definition, interrupt and error architecture, and backplane register definitions.

Each core can have an initiator agent that passes read and write requests onto the system backplane and a target agent that returns responses to those requests. Not all cores contain both an initiator and a target agent. Initiator agents are present in cores that contain host interfaces (PCI, PCMCIA), embedded processors (MIPS), or DMA processors associated with communications cores.

All cores other than PCMCIA have a target agent.

SEE ALSO
bwn(4)

HISTORY
The siba device driver first appeared in FreeBSD 8.0.

AUTHORS
-nosplit The siba driver was written by Bruce M. Simpson <bms@FreeBSD.org> and Weongyo Jeong <weongyo@FreeBSD.org>.

CAVEATS
Host mode is not supported at this moment.